Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.capability
Interface ComparisonOperators

    public interface ComparisonOperators

Supported comparison operators in a filter capabilities document.

     <xsd:complexType name="ComparisonOperatorsType">
         <xsd:sequence maxOccurs="unbounded">
            <xsd:element name="ComparisonOperator" type="ogc:ComparisonOperatorType"/>
         </xsd:sequence>
      </xsd:complexType>

Method Summary
`Operator` | `getOperator(String name)` Looks up an operator by name, returning null if no such operator found.
`Operator[]` | `getOperators()` Provided comparison operators.

Method Detail

### getOperators

    Operator[] getOperators()

  Provided comparison operators.

        <xsd:element name="ComparisonOperator" type="ogc:ComparisonOperatorType"/>

### getOperator

    Operator getOperator(String name)

  Looks up an operator by name, returning null if no such operator found.

  Parameters:
    `name` - the name of the operator.
  Returns:
    The operator, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.